summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorRaphael Moll <ralf@android.com>2013-03-06 10:51:21 -0800
committerRaphael Moll <ralf@android.com>2013-03-06 10:54:55 -0800
commit8551869d97bd32612bd8d7be0deeaf4055d91017 (patch)
treec988c95dcb123c60bd3a8efa96f26ed11d370633 /tools
parentf5ae1647c23c25693efce384933c52d255bcd4ec (diff)
downloaddevtools-8551869d97bd32612bd8d7be0deeaf4055d91017.tar.gz
SDK prebuilts: reorganize into tools/lib.
Change-Id: I3d985ed0abfb96930372439dee9dc2633d121948
Diffstat (limited to 'tools')
-rwxr-xr-xtools/jobb68
-rwxr-xr-xtools/jobb.bat51
-rw-r--r--tools/lib/assetstudio.jarbin0 -> 643465 bytes
-rw-r--r--tools/lib/common.jarbin0 -> 54416 bytes
-rw-r--r--tools/lib/ddmlib.jarbin0 -> 251353 bytes
-rw-r--r--tools/lib/dvlib.jarbin0 -> 11083 bytes
-rw-r--r--tools/lib/jobb.jarbin0 -> 36332 bytes
-rw-r--r--tools/lib/layoutlib_api.jarbin0 -> 64586 bytes
-rw-r--r--tools/lib/lint.jarbin0 -> 61654 bytes
-rw-r--r--tools/lib/lint_api.jarbin0 -> 135459 bytes
-rw-r--r--tools/lib/lint_checks.jarbin0 -> 417729 bytes
-rw-r--r--tools/lib/manifmerger.jarbin0 -> 33393 bytes
-rw-r--r--tools/lib/sdk_common.jarbin0 -> 146388 bytes
-rw-r--r--tools/lib/sdklib.jarbin0 -> 563981 bytes
-rw-r--r--tools/lib/sdkuilib.jarbin0 -> 438168 bytes
-rw-r--r--tools/lib/swtmenubar.jarbin0 -> 18528 bytes
-rwxr-xr-xtools/lint72
-rwxr-xr-xtools/lint.bat58
18 files changed, 249 insertions, 0 deletions
diff --git a/tools/jobb b/tools/jobb
new file mode 100755
index 0000000..c782141
--- /dev/null
+++ b/tools/jobb
@@ -0,0 +1,68 @@
+#!/bin/sh
+# Copyright 2008, The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Set up prog to be the path of this script, including following symlinks,
+# and set up progdir to be the fully-qualified pathname of its directory.
+
+prog="$0"
+while [ -h "${prog}" ]; do
+ newProg=`/bin/ls -ld "${prog}"`
+ newProg=`expr "${newProg}" : ".* -> \(.*\)$"`
+ if expr "x${newProg}" : 'x/' >/dev/null; then
+ prog="${newProg}"
+ else
+ progdir=`dirname "${prog}"`
+ prog="${progdir}/${newProg}"
+ fi
+done
+oldwd=`pwd`
+progdir=`dirname "${prog}"`
+cd "${progdir}"
+progdir=`pwd`
+prog="${progdir}"/`basename "${prog}"`
+cd "${oldwd}"
+
+jarfile=jobb.jar
+frameworkdir="$progdir"
+libdir="$progdir"
+if [ ! -r "$frameworkdir/$jarfile" ]
+then
+ frameworkdir=`dirname "$progdir"`/tools/lib
+ libdir=`dirname "$progdir"`/tools/lib
+fi
+if [ ! -r "$frameworkdir/$jarfile" ]
+then
+ frameworkdir=`dirname "$progdir"`/framework
+ libdir=`dirname "$progdir"`/lib
+fi
+if [ ! -r "$frameworkdir/$jarfile" ]
+then
+ echo `basename "$prog"`": can't find $jarfile"
+ exit 1
+fi
+
+javaCmd="java"
+
+if [ `uname` = "Linux" ]; then
+ export GDK_NATIVE_WINDOWS=true
+fi
+
+jarpath="$frameworkdir/$jarfile:$frameworkdir/fat32lib.jar"
+
+exec "$javaCmd" \
+ $os_opts \
+ -classpath "$jarpath" \
+ com.android.jobb.Main "$@"
+
diff --git a/tools/jobb.bat b/tools/jobb.bat
new file mode 100755
index 0000000..a5043c1
--- /dev/null
+++ b/tools/jobb.bat
@@ -0,0 +1,51 @@
+@echo off
+rem Copyright (C) 2008 The Android Open Source Project
+rem
+rem Licensed under the Apache License, Version 2.0 (the "License");
+rem you may not use this file except in compliance with the License.
+rem You may obtain a copy of the License at
+rem
+rem http://www.apache.org/licenses/LICENSE-2.0
+rem
+rem Unless required by applicable law or agreed to in writing, software
+rem distributed under the License is distributed on an "AS IS" BASIS,
+rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+rem See the License for the specific language governing permissions and
+rem limitations under the License.
+
+rem don't modify the caller's environment
+setlocal
+
+rem Set up prog to be the path of this script, including following symlinks,
+rem and set up progdir to be the fully-qualified pathname of its directory.
+set prog=%~f0
+
+rem Change current directory and drive to where the script is, to avoid
+rem issues with directories containing whitespaces.
+cd /d %~dp0
+
+rem Get the CWD as a full path with short names only (without spaces)
+for %%i in ("%cd%") do set prog_dir=%%~fsi
+
+rem Check we have a valid Java.exe in the path.
+set java_exe=
+call lib\find_java.bat
+if not defined java_exe goto :EOF
+
+set jarfile=jobb.jar
+set frameworkdir=
+set libdir=
+
+if exist %frameworkdir%%jarfile% goto JarFileOk
+ set frameworkdir=lib\
+
+if exist %frameworkdir%%jarfile% goto JarFileOk
+ set frameworkdir=..\framework\
+
+:JarFileOk
+
+set jarpath=%frameworkdir%%jarfile%;%frameworkdir%libfat32.jar
+
+call %java_exe% %java_debug% -classpath "%jarpath%" com.android.jobb.Main %*
+
+
diff --git a/tools/lib/assetstudio.jar b/tools/lib/assetstudio.jar
new file mode 100644
index 0000000..3da01a0
--- /dev/null
+++ b/tools/lib/assetstudio.jar
Binary files differ
diff --git a/tools/lib/common.jar b/tools/lib/common.jar
new file mode 100644
index 0000000..6a438a7
--- /dev/null
+++ b/tools/lib/common.jar
Binary files differ
diff --git a/tools/lib/ddmlib.jar b/tools/lib/ddmlib.jar
new file mode 100644
index 0000000..f1631bc
--- /dev/null
+++ b/tools/lib/ddmlib.jar
Binary files differ
diff --git a/tools/lib/dvlib.jar b/tools/lib/dvlib.jar
new file mode 100644
index 0000000..fb30fb4
--- /dev/null
+++ b/tools/lib/dvlib.jar
Binary files differ
diff --git a/tools/lib/jobb.jar b/tools/lib/jobb.jar
new file mode 100644
index 0000000..51ea499
--- /dev/null
+++ b/tools/lib/jobb.jar
Binary files differ
diff --git a/tools/lib/layoutlib_api.jar b/tools/lib/layoutlib_api.jar
new file mode 100644
index 0000000..f8c52bf
--- /dev/null
+++ b/tools/lib/layoutlib_api.jar
Binary files differ
diff --git a/tools/lib/lint.jar b/tools/lib/lint.jar
new file mode 100644
index 0000000..1adbf9b
--- /dev/null
+++ b/tools/lib/lint.jar
Binary files differ
diff --git a/tools/lib/lint_api.jar b/tools/lib/lint_api.jar
new file mode 100644
index 0000000..6017d41
--- /dev/null
+++ b/tools/lib/lint_api.jar
Binary files differ
diff --git a/tools/lib/lint_checks.jar b/tools/lib/lint_checks.jar
new file mode 100644
index 0000000..df4d97b
--- /dev/null
+++ b/tools/lib/lint_checks.jar
Binary files differ
diff --git a/tools/lib/manifmerger.jar b/tools/lib/manifmerger.jar
new file mode 100644
index 0000000..80e62ed
--- /dev/null
+++ b/tools/lib/manifmerger.jar
Binary files differ
diff --git a/tools/lib/sdk_common.jar b/tools/lib/sdk_common.jar
new file mode 100644
index 0000000..b54a96d
--- /dev/null
+++ b/tools/lib/sdk_common.jar
Binary files differ
diff --git a/tools/lib/sdklib.jar b/tools/lib/sdklib.jar
new file mode 100644
index 0000000..87d28c2
--- /dev/null
+++ b/tools/lib/sdklib.jar
Binary files differ
diff --git a/tools/lib/sdkuilib.jar b/tools/lib/sdkuilib.jar
new file mode 100644
index 0000000..250e35b
--- /dev/null
+++ b/tools/lib/sdkuilib.jar
Binary files differ
diff --git a/tools/lib/swtmenubar.jar b/tools/lib/swtmenubar.jar
new file mode 100644
index 0000000..e7f3d7a
--- /dev/null
+++ b/tools/lib/swtmenubar.jar
Binary files differ
diff --git a/tools/lint b/tools/lint
new file mode 100755
index 0000000..6a75288
--- /dev/null
+++ b/tools/lint
@@ -0,0 +1,72 @@
+#!/bin/bash
+# Copyright 2011, The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Set up prog to be the path of this script, including following symlinks,
+# and set up progdir to be the fully-qualified pathname of its directory.
+prog="$0"
+while [ -h "${prog}" ]; do
+ newProg=`/bin/ls -ld "${prog}"`
+ newProg=`expr "${newProg}" : ".* -> \(.*\)$"`
+ if expr "x${newProg}" : 'x/' >/dev/null; then
+ prog="${newProg}"
+ else
+ progdir=`dirname "${prog}"`
+ prog="${progdir}/${newProg}"
+ fi
+done
+oldwd=`pwd`
+progdir=`dirname "${prog}"`
+cd "${progdir}"
+progdir=`pwd`
+prog="${progdir}"/`basename "${prog}"`
+cd "${oldwd}"
+
+jarfile=lint.jar
+frameworkdir="$progdir"
+libdir="$progdir"
+if [ ! -r "$frameworkdir/$jarfile" ]
+then
+ frameworkdir=`dirname "$progdir"`/tools/lib
+ libdir=`dirname "$progdir"`/tools/lib
+fi
+if [ ! -r "$frameworkdir/$jarfile" ]
+then
+ frameworkdir=`dirname "$progdir"`/framework
+ libdir=`dirname "$progdir"`/lib
+fi
+if [ ! -r "$frameworkdir/$jarfile" ]
+then
+ echo `basename "$prog"`": can't find $jarfile"
+ exit 1
+fi
+
+# Check args.
+if [ debug = "$1" ]; then
+ # add this in for debugging
+ java_debug=-agentlib:jdwp=transport=dt_socket,server=y,address=8050,suspend=y
+ shift 1
+else
+ java_debug=
+fi
+
+javaCmd="java"
+
+jarpath="$frameworkdir/$jarfile"
+
+exec "$javaCmd" \
+ -Xmx512m $os_opts $java_debug \
+ -Dcom.android.tools.lint.bindir="$progdir" \
+ -classpath "$jarpath" \
+ com.android.tools.lint.Main "$@"
diff --git a/tools/lint.bat b/tools/lint.bat
new file mode 100755
index 0000000..08ae1c3
--- /dev/null
+++ b/tools/lint.bat
@@ -0,0 +1,58 @@
+@echo off
+rem Copyright (C) 2011 The Android Open Source Project
+rem
+rem Licensed under the Apache License, Version 2.0 (the "License");
+rem you may not use this file except in compliance with the License.
+rem You may obtain a copy of the License at
+rem
+rem http://www.apache.org/licenses/LICENSE-2.0
+rem
+rem Unless required by applicable law or agreed to in writing, software
+rem distributed under the License is distributed on an "AS IS" BASIS,
+rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+rem See the License for the specific language governing permissions and
+rem limitations under the License.
+
+rem don't modify the caller's environment
+setlocal
+
+rem Set up prog to be the path of this script, including following symlinks,
+rem and set up progdir to be the fully-qualified pathname of its directory.
+set prog=%~f0
+
+rem Grab current directory before we change it
+set work_dir="%cd%"
+
+rem Change current directory and drive to where the script is, to avoid
+rem issues with directories containing whitespaces.
+cd /d %~dp0
+
+rem Get the CWD as a full path with short names only (without spaces)
+for %%i in ("%cd%") do set prog_dir=%%~fsi
+
+rem Check we have a valid Java.exe in the path.
+set java_exe=
+call lib\find_java.bat
+if not defined java_exe goto :EOF
+
+set jarfile=lint.jar
+set frameworkdir=
+
+if exist %frameworkdir%%jarfile% goto JarFileOk
+ set frameworkdir=lib\
+
+if exist %frameworkdir%%jarfile% goto JarFileOk
+ set frameworkdir=..\framework\
+
+:JarFileOk
+
+if debug NEQ "%1" goto NoDebug
+ set java_debug=-agentlib:jdwp=transport=dt_socket,server=y,address=8050,suspend=y
+ shift 1
+:NoDebug
+
+set jarpath=%frameworkdir%%jarfile%
+set javaextdirs=%frameworkdir%
+
+call %java_exe% %java_debug% -Xmx512m -Dcom.android.tools.lint.bindir=%prog_dir% -Dcom.android.tools.lint.workdir=%work_dir% -classpath "%jarpath%" com.android.tools.lint.Main %*
+